framework:
    secret: '%env(APP_SECRET)%'
    http_method_override: false
    handle_all_throwables: true

    session:
        handler_id: null
        cookie_secure: auto
        cookie_samesite: lax
        cookie_httponly: true
        cookie_lifetime: 0
        gc_maxlifetime: 7200
        name: ALPHAVIGIE_SESS
        storage_factory_id: session.storage.factory.native

    php_errors:
        log: true

    csrf_protection: true
    
    form:
        csrf_protection: true
        
    validation:
        enabled: true

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
